// Test um SP3 einzulesen


if (~isdef('readsp3')) then
  getf(%GEOlib_DIR+'macros/gps/readsp3.sci');
end

mprintf("-----------------------\n");
mFile = mopen(%GEOlib_DIR+'unit tests/igs14575.sp3', 'r');

[fdate, sats, sats_acc, data, comments] = readsp3(mFile);

//disp(fdate);

//mprintf("-----------------------\n");
mprintf("Anfangsdatum     = %i-%i-%i %i:%i:%i  (%i:%i)\n", datevec(fdate(1)), fdate(2), fdate(3));
mprintf("Anzahl Epochen   = %i\n", fdate(4));
mprintf("Satelliten       = %i (%s)\n", size(sats,1), format_linevec(sats(:,1)'));
mprintf("Genauigkeit (RMS)= %i (%s)\n", size(sats_acc,1), format_linevec(sats_acc(:,1)'));
mprintf("// %s\n", comments);
mprintf("## %s\n", format_linevec(data([1:size(sats,1)*2],:)));

close(mFile);
clear mFile;
