//--------------------------------------------------
// Ldt smtliche Bibliotheken im Verzeichnis macros
// 
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------
lines(0);

Directories = ['phys', 'geometrie', 'gps', 'util'];

CurrentDirectory = get_absolute_file_path('loadallmacros.sce');

for i=1:size(Directories,2) do
  if isdir(Directories(i)) then
    mprintf("       - Loading of <macros/%s>\n",Directories(i));
    chdir(Directories(i));
    
    toolboxname = 'GEO'+Directories(i)+'lib';
    if isdef(toolboxname)
       //predef(0);
       execstr('clear '+toolboxname);
    end
    load(CurrentDirectory+Directories(i) +'/lib')
    
    chdir(CurrentDirectory);
  end
end

clear CurrentDirectory Directories get_absolute_file_path isdir i toolboxname
