function []=init_geolib_menu(k, gwin)
// @internal Baut das About-Men auf
//
// in:  k    - submenu number
//      gwin - window identifier (aus welchem Fester wurde diese Funktion
//             ausgefhrt, falls wichtig)
//
// Copyright (c) area7/Christof Schulze  2008
//--------------------------------------------------------------
//mprintf("\n   Scilib-GEO version %s\n", %GEOlib_version);


select k,
  case 1 then
    config;
  case 2 then
    labelsl=['About Scilib-GEO', 'Scilib-GEO v.'+%GEOlib_version, 'Copyright'];

    guiwl=400; guihl=200; guih2=90;

    winid=figure('position', [0, 0, guiwl, guihl+20], 'figure_name', labelsl(1), 'background', [1,1,1]);

    //uicontrol(winid, 'style', 'text', 'string', 'general properties', "position",[0,guihl,guiwl,20],...
    //            'horizontalalignment', 'center', 'background', [1,1,1]);

    uicontrol(winid, 'style', 'text', 'string', labelsl(2), 'position', [0,guihl-140,guiwl,20],...
              'horizontalalignment', 'center', 'background', [1,1,1]);
    uicontrol(winid, 'style', 'text', 'string', labelsl(3), 'position', [0,guihl-160,guiwl,20],...
              'horizontalalignment', 'center', 'background', [1,1,1]);

    //value="";
    //guientry(1) = uicontrol(winid, 'style', 'edit', 'string', value, 'position', [150,guihl-150,100,20],...
    //            'horizontalalignment', 'left');

    uicontrol(winid, 'style', 'pushbutton', 'string', 'Ok', 'position',[20,10,guiwl/4,25],...
              'callback', 'close(gcf())', 'horizontalalignment', 'center');

  //  uicontrol(winid, 'style', 'pushbutton', 'string', 'Lizenz', 'position',[guiwl-(guiwl/4)-20,10,guiwl/4,25],...
  //            'callback', 'close(winid)', 'horizontalalignment', 'center');
   
end;

endfunction;
