//--------------------------------------------------------------
// Erzeugt die Bibliothek aus den Scripten im Verzeichnis macros
//
// Copyright (c) area7/Christof Schulze  2007
//--------------------------------------------------------------
lines(0);
mode(-1);

Directories = ['phys', 'geometrie', 'gps', 'util'];


CurrentDirectory = get_absolute_file_path('buildallmacros.sce')
 
for i=1:size(Directories,2) do
  if isdir(Directories(i)) then
    
    mprintf("       - Creation of <macros/%s>\n", Directories(i));
    chdir(Directories(i));
    
    toolboxname = 'GEO'+Directories(i)+'lib';
    if isdef(toolboxname)
       //predef(0);
       execstring='clear '+toolboxname;
       execstr(execstring);
    end;
    genlib(toolboxname, dirname(CurrentDirectory+Directories(i)+"/"), %t);

    chdir(CurrentDirectory);
        
  end;
end;

clear CurrentDirectory Directories get_absolute_file_path isdir i toolboxname genlib execstring;

