function [retstr] = format_linevec(lvec, style)
// Formatiert einen Zeilenvector
//
// in : lvec  - Zeilenvector
//      style - (noch nicht definiert)
//          
// out: - Formatierter String
//
// Copyright (c) area7/Christof Schulze  2008
//--------------------------------------------------------------

retstr=[];

sep = ', ';
[r, c] = size(lvec);

for i=1:r do
  for j=1:c do
    if j==1 then
      retstr(i) = string(lvec(i,j));
    else
      retstr(i) = retstr(i) + sep + string(lvec(i,j));
    end;
  end;
end;

endfunction;